<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>HTML Tabels and Froms</title>
  </head>
  <body>
    <!-- NOTE: Creates a container element used to group html elements -->
    <header>
      <h1>HTML Tables and Forms</h1>
    </header>

    <main>
      <section>
        <h2>HTML Entities</h2>
        <p>
          <em>
            Reserved charactes in HTML (e.g &lt; &gt; or characters that can mix
            up with the HTML code)
          </em>
        </p>
        <!-- NOTE: Defines a HTML Table -->
        <!-- NOTE: "border" attribute is used to set a vissible border width -->
        <table border="1">
          <!-- NOTE: used to group table header content -->
          <thead>
            <!-- NOTE: tr defines a table row -->
            <tr>
              <!-- NOTE: th defines a table header element -->
              <!-- NOTE: colspan attribute defines the number of columns a table element will occupy -->
              <th colspan="2">Entity</th>
              <th>Description</th>
            </tr>
          </thead>
          <!-- NOTE: use to group table body content -->
          <tbody>
            <tr>
              <!-- NOTE: td - Define a table data element -->
              <td>&lt;</td>
              <td>lt</td>
              <td>less than</td>
            </tr>
            <tr>
              <td>&gt;</td>
              <td>gt</td>
              <td>greather than</td>
            </tr>
            <tr>
              <td>&#8369;</td>
              <td>#8369</td>
              <td>peso sign</td>
            </tr>
            <tr>
              <td>&amp;</td>
              <td>amp</td>
              <td>ampersand</td>
            </tr>
            <tr>
              <td>&quot;</td>
              <td>quot </td>
              <td>double quotation mark</td>
            </tr>
            <tr>
              <td>&apos;</td>
              <td>apos </td>
              <td>single quotation mark (apostrophe)</td>
            </tr>
            <tr>
              <td>&ntilde;</td>
              <td>ntilde </td>
              <td> lower tilde</td>
            </tr>
            <tr>
              <td>&Ntilde;</td>
              <td>Ntilde </td>
              <td> upper tilde</td>
            </tr>
          </tbody>

          <!-- tfoot used to group label foote content -->
          <tfoot>
            <tr>
              <th colspan="3"> list of HTML Entities</th>
            </tr>
          </tfoot>
        </table>
      </section>

      <section>
        <h2>HTML FORMS</h2>
        <p>
          <em> Input elements make up a form. </em>
        </p>

        <!-- NOTE: Create an HTMl from to capture suer input -->

        <!-- NOTE: action attribute is used to define where the information will be sent upon submission -->
        <form action="https://www.google.com/">
          <label for="full_name">Full Name:</label><br />
          <input
            type="text"
            name="full_name"
            id="full_name"
            required
            autocomplete=""
          />
          <br />

          <!-- NOTE: label and date input type. -->
          <label for="" birth_date>Birth Date:</label> <br />
          <input type="date" name="birth_date" id="birthd+date" required />
          <br />

          <!-- NOTE: label and number input type -->
          <label for="age">Age:</label> <br />
          <input type="number" name="age" required id="age" min="1" max="100" />

          <!-- NOTE: Create a dropdown menu -->
          <br />
          <label for="gender">Gender:</label> <br />
          <select name="gender" id="gender">
            <br />
            <option value="male">Male</option>
            <option value="femaile">Female</option>
          </select>
          <br />
          <!-- NOTE: Create a larger text input -->
          <label for="notes">Notes: </label> <br />
          <textarea name="notes" id="notes" rows="5"></textarea>
          <br />
          <!-- NOTE: Create radio buttons input field -->
          <label>New User:</label> <br />
          <input type="radio" name="new_user" id="user-type1" value="yes" />
          <label for="user-type1">Yes</label> <br />

          <input type="radio" name="new_user" id="2" value="no" />
          <label for="user-type2">No</label> <br />

          <!-- NOTE: create checkbox for multiple choices -->
          <label>Roles:</label> <br />

          <input type="checkbox" name="role" id="role1" value="developer" />
          <label for="role1">Developer</label>

          <input type="checkbox" name="role" id="role2" value="stduent" />
          <label for="role2">Student</label>

          <input type="checkbox" name="role" id="role3" value="manager" />
          <label for="role2">Manager</label>

          <!-- NOTE: Form button. -->
          <br />
          <button type="submit">Submit</button>
          <button type="reset">Reset</button>
        </form>
      </section>
    </main>
  </body>
</html>
